Debian Bug report logs - #536630
hostapd destroys IPv6 configuration on managed interface

version graph

Package: hostapd; Maintainer for hostapd is Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>; Source for hostapd is src:wpa.

Reported by: Andrew Gainer <gainer.andrew@gmail.com>

Date: Sat, 11 Jul 2009 20:00:02 UTC

Severity: normal

Tags: ipv6, jessie, sid, squeeze, wheezy

Found in versions 0.6.9-3, hostapd/1:0.6.10-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#536630; Package hostapd. (Sat, 11 Jul 2009 20:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Gainer <gainer.andrew@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Sat, 11 Jul 2009 20:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Gainer <gainer.andrew@gmail.com>
To: submit@bugs.debian.org
Subject: hostapd destroys IPv6 configuration on managed interface
Date: Sat, 11 Jul 2009 15:59:17 -0400
[Message part 1 (text/plain, inline)]
Package: hostapd
Version: 0.6.9-3
Severity: normal
Tags: ipv6

When hostapd is started on a wireless interface with IPv6 configuration, it destroys this configuration. For example, I have the following stanzas in my /etc/network/interfaces:
auto ath0
iface ath0 inet static
        address 192.168.2.1
        netmask 255.255.255.0
        broadcast 192.168.2.255

iface ath0 inet6 static
        address 2001:1938:147:2::1
        netmask 64

And the following hostapd.conf:
interface=ath0
driver=madwifi
ssid=myssid
auth_algs=3
wpa=3
wpa_passphrase=mypassphrase
wpa_key_mgmt=WPA-PSK

If I bring up the interface without starting hostapd, it has the assigned global IPv6 address, and the correct routes show up in the routing table. After starting hostapd, however, these disappear, and only the link-local configuration remains.

The IPv4 configuration is, of course, preserved, so I'm not sure what's happening here.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#536630; Package hostapd. (Fri, 28 Aug 2009 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Fri, 28 Aug 2009 14:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 536630@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael+db20090501@stapelberg.de>
To: 536630 <536630@bugs.debian.org>
Subject: Re: hostapd destroys IPv6 configuration on managed interface
Date: Fri, 28 Aug 2009 15:50:32 +0200
I can confirm this behaviour. As soon as hostapd is started, the IPv6 address
of the interface is lost. strace does not reveal anything obvious to me. Any
hints on debugging it would be appreciated.

I am using driver=nl80211, btw, so it does not seem to be driver-related.




Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:25 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:23 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#536630; Package hostapd. (Tue, 11 Jan 2011 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Schmitz <karl.schmitz@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Tue, 11 Jan 2011 17:30:03 GMT) Full text and rfc822 format available.

Message #21 received at 536630@bugs.debian.org (full text, mbox):

From: Karl Schmitz <karl.schmitz@gmx.net>
To: 536630@bugs.debian.org
Subject: Re: hostapd destroys IPv6 configuration on managed interface
Date: Tue, 11 Jan 2011 18:26:57 +0100
Package: hostapd
Version: 1:0.6.10-2
Tags: ipv6

Hi all,

while reviving the ALLNET ALL0271 card with kernel SoftMAC driver p54pci (instead of FullMAC prism54) in my router (lenny + lenny-backports + squeeze hostapd), I experienced the same.
Even worse: After stopping hostapd (invoke-rc.d hostapd stop), the IPv6 link-layer local address vanished, too.

An strace(1) of hostapd revealed nothing useful. Therefore, I suspect that the IPv6 configuration gets withdrawn by the kernel nl80211/mac80211 stack or the p54 driver modules while enabling/disabling mon.wlan0.

(1) I use the most recent (2.13.25.0) ISL3886 PCI SoftMAC firmware:
# ls -lR /usr/lib/hotplug/firmware
/usr/lib/hotplug/firmware:
total 8
drwxr-xr-x 2 root root 4096 Jul 16  2003 fw-fullmac
drwxr-xr-x 2 root root 4096 Jun  8  2006 fw-softmac
lrwxrwxrwx 1 root root   24 Jan 10 00:40 isl3886pci -> fw-softmac/2.13.25.0.arm
lrwxrwxrwx 1 root root   22 Jan 10 00:39 isl3890 -> fw-fullmac/1.0.4.3.arm

/usr/lib/hotplug/firmware/fw-fullmac:
total 96
-rw-r--r-- 1 root root 93996 Jul 16  2003 1.0.4.3.arm

/usr/lib/hotplug/firmware/fw-softmac:
total 32
-rw-r--r-- 1 root root 29116 Jun  8  2006 2.13.25.0.arm

(2) Here's the output of some relevant commands:
# uname -a
Linux hydra 2.6.32-bpo.5-686 #1 SMP Sat Dec 18 15:11:34 UTC 2010 i686 GNU/Linux
# lspci -v
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev 82)
	Flags: bus master, medium devsel, latency 8
	Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 2.0
	Kernel driver in use: agpgart-via

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP] (prog-if 00 [Normal decode])
	Flags: bus master, 66MHz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: fe000000-febfffff
	Prefetchable memory behind bridge: fc000000-fddfffff
	Capabilities: [80] Power Management version 2
	Kernel modules: shpchp

00:02.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev 12)
	Flags: bus master, stepping, medium devsel, latency 0

00:02.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06) (prog-if 8a [Master SecP PriP])
	Flags: bus master, stepping, medium devsel, latency 32
	[virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	[virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	[virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	[virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	I/O ports at fff0 [size=16]
	Kernel driver in use: pata_via
	Kernel modules: pata_via

00:02.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 08) (prog-if 00 [UHCI])
	Subsystem: First International Computer, Inc. VA-502 Mainboard
	Flags: bus master, medium devsel, latency 22, IRQ 11
	I/O ports at fce0 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:02.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management (rev 20)
	Flags: medium devsel
	Kernel modules: i2c-viapro

00:0e.0 PCI bridge: Digital Equipment Corporation DECchip 21152 (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, medium devsel, latency 64
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=64
	I/O behind bridge: 00007000-00007fff
	Memory behind bridge: fdf00000-fdffffff
	Prefetchable memory behind bridge: 0000000010000000-00000000100fffff
	Capabilities: [dc] Power Management version 1
	Kernel modules: shpchp

00:0f.0 Token ring network controller: IBM 16/4 Token ring UTP/STP controller (rev 05)
	Flags: bus master, medium devsel, latency 48, IRQ 10
	I/O ports at 6400 [size=256]
	Memory at fdefd700 (32-bit, non-prefetchable) [size=256]
	Memory at fdefd800 (32-bit, non-prefetchable) [size=2K]
	[virtual] Expansion ROM at 10100000 [disabled] [size=16K]
	Kernel driver in use: olympic
	Kernel modules: olympic

00:10.0 Network controller: Intersil Corporation ISL3890 [Prism GT/Prism Duette]/ISL3886 [Prism Javelin/Prism Xbow] (rev 01)
	Subsystem: Tekram Technology Co.,Ltd. ALLNET ALL0271 Wireless PCI Adapter
	Flags: bus master, medium devsel, latency 80, IRQ 11
	Memory at fdefe000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [dc] Power Management version 1
	Kernel driver in use: p54pci
	Kernel modules: p54pci

00:12.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1 (rev 10)
	Subsystem: IBM Device 017b
	Flags: medium devsel, IRQ 9
	I/O ports at 6800 [size=256]
	Capabilities: [c0] Power Management version 2
	Kernel modules: snd-maestro3

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G200 AGP (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Matrox Graphics, Inc. Millennium G200 AGP
	Flags: bus master, medium devsel, latency 128, IRQ 255
	Memory at fc000000 (32-bit, prefetchable) [size=16M]
	Memory at febfc000 (32-bit, non-prefetchable) [size=16K]
	Memory at fe000000 (32-bit, non-prefetchable) [size=8M]
	[virtual] Expansion ROM at fd000000 [disabled] [size=64K]
	Capabilities: [dc] Power Management version 1
	Capabilities: [f0] AGP version 1.0
	Kernel modules: matroxfb_base

02:04.0 Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet] (rev 22)
	Subsystem: Cogent Data Technologies, Inc. ANA-6944A/TX Fast Ethernet
	Flags: bus master, medium devsel, latency 160, IRQ 9
	I/O ports at 7400 [size=128]
	Memory at fdfffe00 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at 10000000 [disabled] [size=256K]
	Kernel driver in use: tulip
	Kernel modules: tulip

02:05.0 Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet] (rev 22)
	Flags: bus master, medium devsel, latency 160, IRQ 10
	I/O ports at 7480 [size=128]
	Memory at fdfffe80 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at 10040000 [disabled] [size=256K]
	Kernel driver in use: tulip
	Kernel modules: tulip

02:06.0 Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet] (rev 22)
	Flags: bus master, medium devsel, latency 160, IRQ 11
	I/O ports at 7800 [size=128]
	Memory at fdffff00 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at 10080000 [disabled] [size=256K]
	Kernel driver in use: tulip
	Kernel modules: tulip

02:07.0 Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet] (rev 22)
	Flags: bus master, medium devsel, latency 160, IRQ 5
	I/O ports at 7880 [size=128]
	Memory at fdffff80 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at 100c0000 [disabled] [size=256K]
	Kernel driver in use: tulip
	Kernel modules: tulip

# lsmod
Module                  Size  Used by
tun                     8780  2 
sit                     6860  0 
tunnel4                 1469  1 sit
ip6_queue               3817  0 
ip6t_LOG                3666  8 
ip6table_raw            1612  0 
ip6t_REJECT             2156  4 
ip6table_mangle         2559  1 
nf_conntrack_ipv6       8375  12 
nf_conntrack_proto_udplite     1927  0 
xt_sctp                 1576  0 
ip6table_filter         1908  1 
ip6_tables              8564  4 ip6t_LOG,ip6table_raw,ip6table_mangle,ip6table_filter
xt_TCPMSS               2303  1 
act_police              3020  0 
cls_flow                4908  0 
cls_fw                  2745  0 
cls_u32                 4722  0 
sch_htb                10439  0 
sch_hfsc               13166  0 
sch_ingress             1092  0 
sch_sfq                 3882  0 
bridge                 33055  0 
stp                      996  1 bridge
xt_time                 1391  0 
xt_connlimit            2323  0 
xt_realm                 615  0 
iptable_raw             1471  0 
xt_comment               599  139 
xt_recent               4893  0 
xt_policy               1794  0 
ipt_ULOG                4653  0 
ipt_REJECT              1517  4 
ipt_REDIRECT             807  0 
ipt_NETMAP               825  0 
ipt_MASQUERADE          1134  5 
ipt_ECN                 1276  0 
ipt_ecn                  928  0 
ipt_CLUSTERIP           3990  0 
ipt_ah                   749  0 
ipt_addrtype            1345  2 
nf_nat_tftp              710  0 
nf_nat_snmp_basic       6381  0 
nf_nat_sip              4448  0 
nf_nat_pptp             1710  0 
nf_nat_proto_gre         869  1 nf_nat_pptp
nf_nat_irc              1010  0 
nf_nat_h323             4403  0 
nf_nat_ftp              1527  0 
nf_nat_amanda            836  0 
ts_kmp                  1307  5 
nf_conntrack_amanda     1637  1 nf_nat_amanda
nf_conntrack_sane       2680  0 
nf_conntrack_tftp       2321  1 nf_nat_tftp
nf_conntrack_sip       10726  1 nf_nat_sip
nf_conntrack_proto_sctp     4758  0 
nf_conntrack_pptp       3085  1 nf_nat_pptp
nf_conntrack_proto_gre     2843  1 nf_conntrack_pptp
nf_conntrack_netlink    11064  0 
nf_conntrack_netbios_ns      914  0 
nf_conntrack_irc        2543  1 nf_nat_irc
nf_conntrack_h323      30932  1 nf_nat_h323
nf_conntrack_ftp        4280  1 nf_nat_ftp
xt_TPROXY                977  0 
nf_tproxy_core          1229  1 xt_TPROXY,[permanent]
xt_tcpmss               1017  0 
xt_pkttype               683  0 
xt_physdev              1228  0 
xt_owner                 747  0 
xt_NFQUEUE              1565  0 
xt_NFLOG                 718  0 
nfnetlink_log           5652  1 xt_NFLOG
xt_multiport            1775  12 
xt_MARK                  617  2 
xt_mark                  613  0 
xt_mac                   675  0 
xt_limit                1088  0 
xt_length                796  0 
xt_iprange              1049  0 
xt_helper                879  0 
xt_hashlimit            6165  0 
xt_DSCP                 1451  0 
xt_dscp                 1123  0 
xt_dccp                 1507  0 
xt_conntrack            1955  30 
xt_CONNMARK              943  0 
xt_connmark              799  0 
xt_CLASSIFY              617  0 
ipt_LOG                 3570  13 
xt_tcpudp               1743  126 
xt_state                 927  0 
iptable_nat             3559  1 
nf_nat                 10596  12 ipt_REDIRECT,ipt_NETMAP,ipt_MASQUERADE,nf_nat_tftp,nf_nat_sip,nf_nat_pptp,nf_nat_proto_gre,nf_nat_irc,nf_nat_h323,nf_nat_ftp,nf_nat_amanda,iptable_nat
nf_conntrack_ipv4       7597  21 iptable_nat,nf_nat
nf_defrag_ipv4           779  2 xt_TPROXY,nf_conntrack_ipv4
nf_conntrack           38127  33 nf_conntrack_ipv6,nf_conntrack_proto_udplite,xt_connlimit,ipt_MASQUERADE,ipt_CLUSTERIP,nf_nat_tftp,nf_nat_snmp_basic,nf_nat_sip,nf_nat_pptp,nf_nat_irc,nf_nat_h323,nf_nat_ftp,nf_nat_amanda,nf_conntrack_amanda,nf_conntrack_sane,nf_conntrack_tftp,nf_conntrack_sip,nf_conntrack_proto_sctp,nf_conntrack_pptp,nf_conntrack_proto_gre,nf_conntrack_netlink,nf_conntrack_netbios_ns,nf_conntrack_irc,nf_conntrack_h323,nf_conntrack_ftp,xt_helper,xt_conntrack,xt_CONNMARK,xt_connmark,xt_state,iptable_nat,nf_nat,nf_conntrack_ipv4
iptable_mangle          2325  1 
nfnetlink               1798  2 nf_conntrack_netlink,nfnetlink_log
iptable_filter          1790  1 
ip_tables               7694  4 iptable_raw,iptable_nat,iptable_mangle,iptable_filter
x_tables                8327  49 ip6t_LOG,ip6t_REJECT,xt_sctp,ip6_tables,xt_TCPMSS,xt_time,xt_connlimit,xt_realm,xt_comment,xt_recent,xt_policy,ipt_ULOG,ipt_REJECT,ipt_REDIRECT,ipt_NETMAP,ipt_MASQUERADE,ipt_ECN,ipt_ecn,ipt_CLUSTERIP,ipt_ah,ipt_addrtype,xt_TPROXY,xt_tcpmss,xt_pkttype,xt_physdev,xt_owner,xt_NFQUEUE,xt_NFLOG,xt_multiport,xt_MARK,xt_mark,xt_mac,xt_limit,xt_length,xt_iprange,xt_helper,xt_hashlimit,xt_DSCP,xt_dscp,xt_dccp,xt_conntrack,xt_CONNMARK,xt_connmark,xt_CLASSIFY,ipt_LOG,xt_tcpudp,xt_state,iptable_nat,ip_tables
arc4                     974  2 
ecb                     1405  2 
p54pci                  6385  0 
p54common              18435  1 p54pci
led_class               1757  1 p54common
snd_maestro3           12679  0 
mac80211              123422  2 p54pci,p54common
snd_ac97_codec         79064  1 snd_maestro3
button                  3598  0 
processor              26347  0 
serio_raw               2920  0 
cfg80211               87817  2 p54common,mac80211
i2c_viapro              4419  0 
ac97_bus                 710  1 snd_ac97_codec
parport_pc             15799  0 
parport                22550  1 parport_pc
snd_pcm                47198  2 snd_maestro3,snd_ac97_codec
rfkill                 10280  1 cfg80211
olympic                15223  0 
snd_timer              12238  1 snd_pcm
evdev                   5609  2 
i2c_core               12700  1 i2c_viapro
psmouse                44669  0 
snd_page_alloc          5065  1 snd_pcm
snd                    34395  4 snd_maestro3,snd_ac97_codec,snd_pcm,snd_timer
soundcore               3450  1 snd
shpchp                 21220  0 
pci_hotplug            18065  1 shpchp
pcspkr                  1207  0 
ext3                   94316  2 
jbd                    32213  1 ext3
mbcache                 3766  1 ext3
sd_mod                 25989  4 
crc_t10dif              1012  1 sd_mod
ata_generic             2067  0 
uhci_hcd               16069  0 
pata_via                5709  3 
usbcore                98521  2 uhci_hcd
thermal                 9198  0 
libata                115793  2 ata_generic,pata_via
floppy                 40923  0 
tulip                  36396  0 
nls_base                4541  1 usbcore
thermal_sys             9378  2 processor,thermal
scsi_mod              101477  2 sd_mod,libata
# dpkg -l
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name                                                  Version                                               Description
+++-=====================================================-=====================================================-==========================================================================================================================
ii  acpi                                                  1.1-2                                                 displays information on ACPI devices
ii  acpi-support-base                                     0.109-11                                              scripts for handling base ACPI events such as the power button
ii  acpid                                                 1.0.10-5~bpo50+1                                      Advanced Configuration and Power Interface event daemon
ii  adduser                                               3.110                                                 add and remove users and groups
ii  aiccu                                                 20070115-9                                            SixXS Automatic IPv6 Connectivity Client Utility
ii  anacron                                               2.3-13.1                                              cron-like program that doesn't go by time
ii  apt                                                   0.7.20.2+lenny2                                       Advanced front-end for dpkg
ii  apt-utils                                             0.7.20.2+lenny2                                       APT utility programs
ii  arping                                                2.07~pre1-2                                           sends IP and/or ARP pings (to the MAC address)
ii  at                                                    3.1.10.2                                              Delayed job execution and batch processing
ii  base-files                                            5lenny8                                               Debian base system miscellaneous files
ii  base-passwd                                           3.5.20                                                Debian base system master password and group files
ii  bash                                                  3.2-4                                                 The GNU Bourne Again SHell
ii  bash-completion                                       20080705                                              programmable completion for the bash shell
ii  bc                                                    1.06.94-3                                             The GNU bc arbitrary precision calculator language
ii  bind9                                                 1:9.7.2.dfsg.P3-1~bpo50+1                             Internet Domain Name Server
ii  bind9-host                                            1:9.7.2.dfsg.P3-1~bpo50+1                             Version of 'host' bundled with BIND 9.X
ii  bind9utils                                            1:9.7.2.dfsg.P3-1~bpo50+1                             Utilities for BIND
ii  bridge-utils                                          1.4-5                                                 Utilities for configuring the Linux Ethernet bridge
ii  bsd-mailx                                             8.1.2-0.20071201cvs-3                                 A simple mail user agent
ii  bsdmainutils                                          6.1.10                                                collection of more utilities from FreeBSD
ii  bsdutils                                              1:2.13.1.1-1                                          Basic utilities from 4.4BSD-Lite
ii  busybox                                               1:1.10.2-2                                            Tiny utilities for small and embedded systems
ii  bzip2                                                 1.0.5-1+lenny1                                        high-quality block-sorting file compressor - utilities
ii  ca-certificates                                       20090814~bpo50+1                                      Common CA certificates
ii  chrony                                                1.23-6+lenny1                                         Sets your computer's clock from time servers on the Net
ii  console-common                                        0.7.80                                                basic infrastructure for text console configuration
ii  console-data                                          2:1.07-11                                             keymaps, fonts, charset maps, fallback tables for console-tools
ii  console-tools                                         1:0.2.3dbs-65.1                                       Linux console and font utilities
ii  coreutils                                             6.10-6                                                The GNU core utilities
ii  cpio                                                  2.9-13lenny1                                          GNU cpio -- a program to manage archives of files
ii  cron                                                  3.0pl1-105                                            management of regular background processing
ii  dash                                                  0.5.4-12                                              POSIX-compliant shell
ii  db4.6-util                                            4.6.21-11                                             Berkeley v4.6 Database Utilities
ii  dc                                                    1.06.94-3                                             The GNU dc arbitrary precision reverse-polish calculator
ii  ddclient                                              3.7.3-4.2                                             Update IP addresses at dynamic DNS services
ii  debconf                                               1.5.24                                                Debian configuration management system
ii  debconf-i18n                                          1.5.24                                                full internationalization support for debconf
ii  debian-archive-keyring                                2010.08.28~lenny1                                     GnuPG archive keys of the Debian archive
ii  debian-backports-keyring                              2009.02.20                                            GnuPG archive key of the backports.org repository
ii  debianutils                                           2.30                                                  Miscellaneous utilities specific to Debian
ii  deborphan                                             1.7.27                                                program that can find unused packages, e.g. libraries
ii  dhcp3-common                                          3.1.1-6+lenny4                                        common files used by all the dhcp3* packages
ii  dhcp3-server                                          3.1.1-6+lenny4                                        DHCP server for automatic IP address assignment
ii  diff                                                  2.8.1-12                                              File comparison utilities
ii  dnsutils                                              1:9.7.2.dfsg.P3-1~bpo50+1                             Clients provided with BIND
ii  dovecot-common                                        1:1.2.15-1~bpo50+1                                    secure mail server that supports mbox and maildir mailboxes
ii  dovecot-imapd                                         1:1.2.15-1~bpo50+1                                    secure IMAP server that supports mbox and maildir mailboxes
ii  dpkg                                                  1.14.31                                               Debian package management system
ii  dselect                                               1.14.31                                               Debian package management front-end
ii  e2fslibs                                              1.41.3-1                                              ext2 filesystem libraries
ii  e2fsprogs                                             1.41.3-1                                              ext2/ext3/ext4 file system utilities
ii  ebtables                                              2.0.8.2-4                                             Ethernet bridge frame table administration
ii  ed                                                    0.7-3                                                 The classic unix line editor
ii  fdutils                                               5.5-20060227-3                                        Linux floppy utilities
ii  file                                                  4.26-1                                                Determines file type using "magic" numbers
ii  findutils                                             4.4.0-2                                               utilities for finding files--find, xargs
ii  firmware-linux                                        0.27~bpo50+1                                          Binary firmware for various drivers in the Linux kernel (meta-package)
ii  firmware-linux-free                                   2.6.32-29~bpo50+1                                     Binary firmware for various drivers in the Linux kernel
ii  firmware-linux-nonfree                                0.27~bpo50+1                                          Binary firmware for various drivers in the Linux kernel
ii  ftp                                                   0.17-18                                               The FTP client
ii  gcc-4.3-base                                          4.3.4-6~bpo50+1                                       The GNU Compiler Collection (base package)
ii  geoip-bin                                             1.4.7~beta6+dfsg-1~bpo50+1                            IP lookup command line tools that use the GeoIP library
ii  geoip-database                                        1.4.7~beta6+dfsg-1~bpo50+1                            IP lookup command line tools that use the GeoIP library (country database)
ii  gettext-base                                          0.17-4                                                GNU Internationalization utilities for the base system
ii  gnupg                                                 1.4.10-2~bpo50+1                                      GNU privacy guard - a free PGP replacement
ii  gosa-schema                                           2.5.16.1-4.1                                          LDAP schema for GOsa
ii  gpgsm                                                 2.0.9-3.1+lenny1                                      GNU privacy guard - S/MIME version
ii  gpgv                                                  1.4.10-2~bpo50+1                                      GNU privacy guard - signature verification tool
ii  grep                                                  2.5.3~dfsg-6                                          GNU grep, egrep and fgrep
ii  groff-base                                            1.18.1.1-21                                           GNU troff text-formatting system (base system components)
ii  grub                                                  0.97-47lenny2                                         GRand Unified Bootloader (Legacy version)
ii  grub-common                                           1.97~beta3-1~bpo50+1                                  GRand Unified Bootloader, version 2 (common files)
ii  guessnet                                              0.49-1                                                Guess which LAN a network device is connected to
ii  gzip                                                  1.3.12-6+lenny1                                       The GNU compression utility
ii  hdparm                                                8.9-3                                                 tune hard disk parameters for high performance
ii  hostapd                                               1:0.6.10-2                                            user space IEEE 802.11 AP and IEEE 802.1X/WPA/WPA2/EAP Authenticator
ii  hostname                                              2.95                                                  utility to set/show the host name or domain name
ii  ifplugd                                               0.28-12                                               configuration daemon for ethernet devices
ii  ifrename                                              29-1.1                                                Rename network interfaces based on various static criteria
ii  ifupdown                                              0.6.8+nmu1                                            high level tools to configure network interfaces
ii  info                                                  4.13a.dfsg.1-5~bpo50+1                                Standalone GNU Info documentation browser
ii  initramfs-tools                                       0.94.4~bpo50+1                                        tools for generating an initramfs
ii  initscripts                                           2.86.ds1-61                                           Scripts for initializing and shutting down the system
ii  install-info                                          4.13a.dfsg.1-5~bpo50+1                                Manage installed documentation in info format
ii  iproute                                               20080725-2                                            networking and traffic control tools
ii  iptables                                              1.4.2-6                                               administration tools for packet filtering and NAT
ii  iputils-ping                                          3:20071127-1+lenny1                                   Tools to test the reachability of network hosts
ii  iputils-tracepath                                     3:20071127-1+lenny1                                   Tools to trace the network path to a remote host
ii  iso-codes                                             3.5.1-1                                               ISO language, territory, currency, script codes and their translations
ii  klibc-utils                                           1.5.12-2                                              small utilities built with klibc for early boot
ii  ldap-utils                                            2.4.17-2.1~bpo50+1                                    OpenLDAP utilities
ii  less                                                  418-1                                                 Pager program similar to more
ii  libacl1                                               2.2.47-2                                              Access control list shared library
ii  libapt-pkg-perl                                       0.1.22+b1                                             Perl interface to libapt-pkg
ii  libatm1                                               2.4.1-17.2                                            shared library for ATM (Asynchronous Transfer Mode)
ii  libattr1                                              1:2.4.43-2                                            Extended attribute shared library
ii  libbind9-60                                           1:9.7.2.dfsg.P3-1~bpo50+1                             BIND9 Shared Library used by BIND
ii  libblkid1                                             1.41.3-1                                              block device id library
ii  libbz2-1.0                                            1.0.5-1+lenny1                                        high-quality block-sorting file compressor library - runtime
ii  libc6                                                 2.7-18lenny6                                          GNU C Library: Shared libraries
ii  libc6-i686                                            2.7-18lenny6                                          GNU C Library: Shared libraries [i686 optimized]
ii  libcap2                                               2.11-2                                                support for getting/setting POSIX.1e capabilities
ii  libcomerr2                                            1.41.3-1                                              common error description library
ii  libcompress-raw-bzip2-perl                            2.024-1~bpo50+1                                       Low-Level Interface to bzip2 compression library
ii  libcompress-raw-zlib-perl                             2.026-1~bpo50+1                                       low-level interface to zlib compression library
ii  libcompress-zlib-perl                                 2.024-1~bpo50+1                                       Transitional dummy package for Compress::Zlib
ii  libconsole                                            1:0.2.3dbs-65.1                                       Shared libraries for Linux console and font manipulation
ii  libconvert-asn1-perl                                  0.21-1                                                Perl module for encoding and decoding ASN.1 data structures
ii  libdaemon0                                            0.12-2lenny1                                          lightweight C library for daemons - runtime library
ii  libdb4.5                                              4.5.20-13                                             Berkeley v4.5 Database Libraries [runtime]
ii  libdb4.6                                              4.6.21-11                                             Berkeley v4.6 Database Libraries [runtime]
ii  libdevmapper1.02.1                                    2:1.02.27-4                                           The Linux Kernel Device Mapper userspace library
ii  libdns69                                              1:9.7.2.dfsg.P3-1~bpo50+1                             DNS Shared Library used by BIND
ii  libedit2                                              2.11~20080614-1                                       BSD editline and history libraries
ii  libfont-afm-perl                                      1.20-1                                                Font::AFM - Interface to Adobe Font Metrics files
ii  libfreetype6                                          2.3.7-2+lenny4                                        FreeType 2 font engine, shared library files
ii  libgcc1                                               1:4.3.4-6~bpo50+1                                     GCC support library
ii  libgcrypt11                                           1.4.1-1                                               LGPL Crypto library - runtime library
ii  libgdbm3                                              1.8.3-3                                               GNU dbm database routines (runtime version)
ii  libgeoip1                                             1.4.7~beta6+dfsg-1~bpo50+1                            A non-DNS IP-to-country resolver library
ii  libglib2.0-0                                          2.22.4-1~bpo50+1                                      The GLib library of C routines
ii  libglib2.0-data                                       2.22.4-1~bpo50+1                                      Common files for GLib library
ii  libgnutls26                                           2.4.2-6+lenny2                                        the GNU TLS library - runtime library
ii  libgpg-error0                                         1.4-2                                                 library for common error values and messages in GnuPG components
ii  libgpm2                                               1.20.4-3.1                                            General Purpose Mouse - shared library
ii  libhtml-format-perl                                   2.04-2                                                format HTML syntax trees into text, PostScript or RTF
ii  libhtml-parser-perl                                   3.56-1+lenny1                                         A collection of modules that parse HTML text documents
ii  libhtml-tagset-perl                                   3.20-2                                                Data tables pertaining to HTML
ii  libhtml-tree-perl                                     3.23-1                                                represent and create HTML syntax trees
ii  libidn11                                              1.15-2~bpo50+1                                        GNU Libidn library, implementation of IETF IDN specifications
ii  libio-compress-base-perl                              2.024-1~bpo50+1                                       Transitional dummy package for IO::Compress:Base
ii  libio-compress-perl                                   2.024-1~bpo50+1                                       bundle of IO::Compress modules
ii  libio-compress-zlib-perl                              2.024-1~bpo50+1                                       Transitional dummy package for IO::Compress::Zlib
ii  libio-socket-inet6-perl                               2.54-1                                                Object interface for AF_INET6 domain sockets
ii  libio-socket-ssl-perl                                 1.16-1+lenny1                                         Perl module implementing object oriented interface to SSL sockets
ii  libisc62                                              1:9.7.2.dfsg.P3-1~bpo50+1                             ISC Shared Library used by BIND
ii  libisccc60                                            1:9.7.2.dfsg.P3-1~bpo50+1                             Command Channel Library used by BIND
ii  libisccfg62                                           1:9.7.2.dfsg.P3-1~bpo50+1                             Config File Handling Library used by BIND
ii  libiw29                                               29-1.1                                                Wireless tools - library
ii  libkeyutils1                                          1.2-9                                                 Linux Key Management Utilities (library)
ii  libklibc                                              1.5.12-2                                              minimal libc subset for use with initramfs
ii  libkrb53                                              1.6.dfsg.4~beta1-5lenny6                              MIT Kerberos runtime libraries
ii  libksba8                                              1.0.3-1                                               X.509 and CMS support library
ii  libldap-2.4-2                                         2.4.17-2.1~bpo50+1                                    OpenLDAP libraries
ii  liblocale-gettext-perl                                1.05-4                                                Using libc functions for internationalization in Perl
ii  liblockfile1                                          1.08-3                                                NFS-safe locking library, includes dotlockfile program
ii  libltdl3                                              1.5.26-4+lenny1                                       A system independent dlopen wrapper for GNU libtool
ii  liblua5.1-0                                           5.1.3-1                                               Simple, extensible, embeddable programming language
ii  liblwres60                                            1:9.7.2.dfsg.P3-1~bpo50+1                             Lightweight Resolver Library used by BIND
ii  liblzma2                                              5.0.0-2~bpo50+1                                       XZ-format compression library
ii  liblzo2-2                                             2.03-1                                                data compression library
ii  libmagic1                                             4.26-1                                                File type determination library using "magic" numbers
ii  libmailtools-perl                                     2.03-1                                                Manipulate email in perl programs
ii  libmysqlclient15off                                   5.0.51a-24+lenny4                                     MySQL database client library
ii  libncurses5                                           5.7+20081213-1                                        shared libraries for terminal handling
ii  libncursesw5                                          5.7+20081213-1                                        shared libraries for terminal handling (wide character support)
ii  libnet-ldap-perl                                      1:0.36-1                                              A Client interface to LDAP servers
ii  libnet-ssleay-perl                                    1.35-1                                                Perl module for Secure Sockets Layer (SSL)
ii  libnet1                                               1.1.2.1-2                                             library for the construction and handling of network packets
ii  libnewt0.52                                           0.52.2-11.3+lenny1                                    Not Erik's Windowing Toolkit - text mode windowing with slang
ii  libnl1                                                1.1-2                                                 library for dealing with netlink sockets
ii  libpam-modules                                        1.0.1-5+lenny1                                        Pluggable Authentication Modules for PAM
ii  libpam-runtime                                        1.0.1-5+lenny1                                        Runtime support for the PAM library
ii  libpam0g                                              1.0.1-5+lenny1                                        Pluggable Authentication Modules library
ii  libpcap0.8                                            0.9.8-5                                               system interface for user-level packet capture
ii  libpci3                                               1:3.0.0-6                                             Linux PCI Utilities (shared library)
ii  libpcre3                                              7.6-2.1                                               Perl 5 Compatible Regular Expression Library - runtime files
ii  libperl5.10                                           5.10.0-19lenny2                                       Shared Perl library
ii  libpkcs11-helper1                                     1.05-1                                                library that simplifies the interaction with PKCS#11
ii  libpopt0                                              1.14-4                                                lib for parsing cmdline parameters
ii  libpq5                                                8.4.5-2~bpo50+1                                       PostgreSQL C client library
ii  libpth20                                              2.0.7-12                                              The GNU Portable Threads
ii  libreadline5                                          5.2-3.1                                               GNU readline and history libraries, run-time libraries
ii  libsasl2-2                                            2.1.22.dfsg1-23+lenny1                                Cyrus SASL - authentication abstraction library
ii  libsasl2-modules                                      2.1.22.dfsg1-23+lenny1                                Cyrus SASL - pluggable authentication modules
ii  libsasl2-modules-ldap                                 2.1.22.dfsg1-23+lenny1                                Cyrus SASL - pluggable authentication modules (LDAP)
ii  libselinux1                                           2.0.65-5                                              SELinux shared libraries
ii  libsepol1                                             2.0.30-2                                              Security Enhanced Linux policy library for changing policy binaries
ii  libslang2                                             2.1.3-3                                               The S-Lang programming library - runtime version
ii  libslp1                                               1.2.1-7.5                                             OpenSLP libraries
ii  libsocket6-perl                                       0.20-1                                                Perl extensions for IPv6
ii  libsqlite3-0                                          3.7.3-1~bpo50+1                                       SQLite 3 shared library
ii  libss2                                                1.41.3-1                                              command-line interface parsing library
ii  libssl0.9.8                                           0.9.8o-4~bpo50+1                                      SSL shared libraries
ii  libstdc++6                                            4.3.4-6~bpo50+1                                       The GNU Standard C++ Library v3
ii  libtasn1-3                                            1.4-1                                                 Manage ASN.1 structures (runtime)
ii  libtext-charwidth-perl                                0.04-5+b1                                             get display widths of characters on the terminal
ii  libtext-iconv-perl                                    1.7-1+b1                                              converts between character sets in Perl
ii  libtext-wrapi18n-perl                                 0.06-6                                                internationalized substitute of Text::Wrap
ii  libtimedate-perl                                      1.1600-9                                              Time and date functions for Perl
ii  liburi-perl                                           1.37+dfsg-1~bpo50+1                                   Manipulates and accesses URI strings
ii  libusb-0.1-4                                          2:0.1.12-13                                           userspace USB programming library
ii  libuuid-perl                                          0.02-3+b1                                             Perl extension for using UUID interfaces as defined in e2fsprogs
ii  libuuid1                                              1.41.3-1                                              universally unique id library
ii  libvolume-id0                                         0.125-7+lenny3                                        libvolume_id shared library
ii  libwrap0                                              7.6.q-16                                              Wietse Venema's TCP wrappers library
ii  libwww-perl                                           5.813-1+lenny2                                        WWW client/server library for Perl (aka LWP)
ii  libxml2                                               2.6.32.dfsg-5+lenny3                                  GNOME XML library
ii  linux-base                                            2.6.32-29~bpo50+1                                     Linux image base package
ii  linux-image-2.6.32-bpo.5-686                          2.6.32-29~bpo50+1                                     Linux 2.6.32 for modern PCs
ii  locales                                               2.7-18lenny6                                          GNU C Library: National Language (locale) data [support]
ii  login                                                 1:4.1.1-6+lenny1                                      system login tools
ii  logrotate                                             3.7.1-5                                               Log rotation utility
ii  lsb-base                                              3.2-20                                                Linux Standard Base 3.2 init script functionality
ii  lsof                                                  4.78.dfsg.1-4                                         List open files
ii  lzma                                                  4.43-14                                               Compression method of 7z format in 7-Zip program
ii  makedev                                               2.3.1-88                                              creates device files in /dev
ii  man-db                                                2.5.2-4                                               on-line manual pager
ii  manpages                                              3.05-1                                                Manual pages about using a GNU/Linux system
ii  mawk                                                  1.3.3-11.1                                            a pattern scanning and text processing language
ii  mii-diag                                              2.11-2                                                A little tool to manipulate network cards
ii  mime-support                                          3.44-1                                                MIME files 'mime.types' & 'mailcap', and support programs
ii  mktemp                                                1.5-9                                                 tool for creating temporary files
ii  module-init-tools                                     3.4-1                                                 tools for managing Linux kernel modules
ii  mount                                                 2.13.1.1-1                                            Tools for mounting and manipulating filesystems
ii  mysql-common                                          5.1.49-3~bpo50+1                                      MySQL database common files, e.g. /etc/mysql/my.cnf
ii  ncurses-base                                          5.7+20081213-1                                        basic terminal type definitions
ii  ncurses-bin                                           5.7+20081213-1                                        terminal-related programs and man pages
ii  net-tools                                             1.60-22                                               The NET-3 networking toolkit
ii  netbase                                               4.34                                                  Basic TCP/IP networking system
ii  netcat-traditional                                    1.10-38                                               TCP/IP swiss army knife
ii  nictools-pci                                          1.3.8-1.2                                             Diagnostic tools for many PCI ethernet cards
ii  nmap                                                  5.00-3~bpo50+1                                        The Network Mapper
ii  odbcinst1debian1                                      2.2.11-16                                             Support library and helper program for accessing odbc ini files
ii  openbsd-inetd                                         0.20080125-2                                          The OpenBSD Internet Superserver
ii  openssh-blacklist                                     0.4.1                                                 list of default blacklisted OpenSSH RSA and DSA keys
ii  openssh-blacklist-extra                               0.4.1                                                 list of non-default blacklisted OpenSSH RSA and DSA keys
ii  openssh-client                                        1:5.1p1-5                                             secure shell client, an rlogin/rsh/rcp replacement
ii  openssh-server                                        1:5.1p1-5                                             secure shell server, an rshd replacement
ii  openssl                                               0.9.8o-4~bpo50+1                                      Secure Socket Layer (SSL) binary and related cryptographic tools
ii  openssl-blacklist                                     0.4.2                                                 list of blacklisted OpenSSL RSA keys
ii  openssl-blacklist-extra                               0.4.2                                                 list of non-default blacklisted OpenSSL RSA keys
ii  openvpn                                               2.1~rc11-1                                            virtual private network daemon
ii  openvpn-blacklist                                     0.3                                                   list of blacklisted OpenVPN RSA shared keys
ii  passwd                                                1:4.1.1-6+lenny1                                      change and administer password and group data
ii  pciutils                                              1:3.0.0-6                                             Linux PCI Utilities
ii  perl                                                  5.10.0-19lenny2                                       Larry Wall's Practical Extraction and Report Language
ii  perl-base                                             5.10.0-19lenny2                                       minimal Perl system
ii  perl-modules                                          5.10.0-19lenny2                                       Core Perl modules
ii  pidentd                                               3.0.19.ds1-4                                          TCP/IP IDENT protocol server with DES support
ii  postfix                                               2.7.1-1~bpo50+1                                       High-performance mail transport agent
ii  postfix-ldap                                          2.7.1-1~bpo50+1                                       LDAP map support for Postfix
ii  ppp                                                   2.4.4rel-10.1                                         Point-to-Point Protocol (PPP) - daemon
ii  pppoe                                                 3.8-3                                                 PPP over Ethernet driver
ii  pptp-linux                                            1.7.2-1                                               Point-to-Point Tunneling Protocol (PPTP) Client
ii  procps                                                1:3.2.7-11                                            /proc file system utilities
ii  psmisc                                                22.6-1                                                Utilities that use the proc filesystem
ii  python                                                2.5.2-3                                               An interactive high-level object-oriented language (default version)
ii  python-minimal                                        2.5.2-3                                               A minimal subset of the Python language (default version)
ii  python2.4-minimal                                     2.4.6-1+lenny1                                        A minimal subset of the Python language (version 2.4)
ii  python2.5                                             2.5.2-15+lenny1                                       An interactive high-level object-oriented language (version 2.5)
ii  python2.5-minimal                                     2.5.2-15+lenny1                                       A minimal subset of the Python language (version 2.5)
ii  radvd                                                 1:1.1-3                                               Router Advertisement Daemon
ii  readline-common                                       5.2-3.1                                               GNU readline and history libraries, common files
ii  resolvconf                                            1.42                                                  name server information handler
ii  rsyslog                                               4.6.4-2~bpo50+1                                       enhanced multi-threaded syslogd
ii  sasl2-bin                                             2.1.22.dfsg1-23+lenny1                                Cyrus SASL - administration programs for SASL users database
ii  sed                                                   4.1.5-6                                               The GNU sed stream editor
ii  sharutils                                             1:4.6.3-1                                             shar, unshar, uuencode, uudecode
ii  shorewall                                             4.4.11.6-3~bpo50+1                                    Shoreline Firewall, netfilter configurator
ii  shorewall6                                            4.4.11.6-1~bpo50+1                                    Shoreline Firewall (IPv6 version), netfilter configurator
ii  slapd                                                 2.4.17-2.1~bpo50+1                                    OpenLDAP server (slapd)
ii  ssl-cert                                              1.0.23                                                simple debconf wrapper for OpenSSL
ii  strace                                                4.5.17+cvs080723-2                                    A system call tracer
ii  sysv-rc                                               2.86.ds1-61                                           System-V-like runlevel change mechanism
ii  sysvinit                                              2.86.ds1-61                                           System-V-like init utilities
ii  sysvinit-utils                                        2.86.ds1-61                                           System-V-like utilities
ii  tar                                                   1.20-1+lenny1                                         GNU version of the tar archiving utility
ii  tcpd                                                  7.6.q-16                                              Wietse Venema's TCP wrapper utilities
ii  tcpdump                                               3.9.8-4                                               A powerful tool for network monitoring and data acquisition
ii  telnet                                                0.17-36                                               The telnet client
ii  tftpd-hpa                                             5.0-18~bpo50+1                                        HPA's tftp server
ii  time                                                  1.7-23                                                The GNU time program for measuring cpu resource usage
ii  timelimit                                             1.4-1~bpo50+1                                         Simple utility to limit a process's absolute execution time
ii  traceroute                                            2.0.11-2                                              Traces the route taken by packets over an IPv4/IPv6 network
ii  tzdata                                                2010o-0lenny1                                         time zone and daylight-saving time data
ii  ucf                                                   3.0016                                                Update Configuration File: preserve user changes to config files.
ii  udev                                                  0.125-7+lenny3                                        /dev/ and hotplug management daemon
ii  unixodbc                                              2.2.11-16                                             ODBC tools libraries
ii  update-inetd                                          4.31                                                  inetd configuration file updater
ii  usbutils                                              0.73-10lenny2                                         Linux USB utilities
ii  util-linux                                            2.13.1.1-1                                            Miscellaneous system utilities
ii  vim                                                   1:7.1.314-3+lenny2                                    Vi IMproved - enhanced vi editor
ii  vim-common                                            1:7.1.314-3+lenny2                                    Vi IMproved - Common files
ii  vim-runtime                                           1:7.1.314-3+lenny2                                    Vi IMproved - Runtime files
ii  wget                                                  1.11.4-2+lenny2                                       retrieves files from the web
ii  whiptail                                              0.52.2-11.3+lenny1                                    Displays user-friendly dialog boxes from shell scripts
ii  whois                                                 4.7.30                                                an intelligent whois client
ii  wireless-tools                                        29-1.1                                                Tools for manipulating Linux Wireless Extensions
ii  xz-utils                                              5.0.0-2~bpo50+1                                       XZ-format compression utilities
ii  zlib1g                                                1:1.2.3.3.dfsg-12                                     compression library - runtime

(3) Here are my /etc/network/interfaces stanzas for wlan0:
#-----------------------------------------------------------------------------
#   ALLNET ALL0271 Wireless (802.11g) interface:
#-----------------------------------------------------------------------------
allow-hotplug wlan0
iface wlan0 inet static
        address 172.16.0.1
        netmask 255.255.255.0

iface wlan0 inet6 static
        address 2a01:198:6a5:0::1
        netmask 64
        post-up ip -6 addr add fdcc:759e:3a75:0::1/64 dev wlan0

(4) On my router, hostapd runs as daemon with the following configuration:
# sed '/^$/d;/^#/d' /etc/default/hostapd
DAEMON_CONF=/etc/hostapd/hostapd.conf
DAEMON_OPTS=
# sed '/^$/d;/^#/d' /etc/hostapd/hostapd.conf 
interface=wlan0
driver=nl80211
logger_syslog=-1
logger_syslog_level=2
logger_stdout=-1
logger_stdout_level=2
dump_file=/var/run/hostapd.dump
ctrl_interface=/var/run/hostapd
ctrl_interface_group=0
ssid=CldFS-M
country_code=DE
ieee80211d=1
hw_mode=g
channel=6
max_num_sta=255
rts_threshold=2347
fragm_threshold=2346
macaddr_acl=0
auth_algs=3
ignore_broadcast_ssid=0
wmm_enabled=1
wmm_ac_bk_cwmin=4
wmm_ac_bk_cwmax=10
wmm_ac_bk_aifs=7
wmm_ac_bk_txop_limit=0
wmm_ac_bk_acm=0
wmm_ac_be_aifs=3
wmm_ac_be_cwmin=4
wmm_ac_be_cwmax=10
wmm_ac_be_txop_limit=0
wmm_ac_be_acm=0
wmm_ac_vi_aifs=2
wmm_ac_vi_cwmin=3
wmm_ac_vi_cwmax=4
wmm_ac_vi_txop_limit=94
wmm_ac_vi_acm=0
wmm_ac_vo_aifs=2
wmm_ac_vo_cwmin=2
wmm_ac_vo_cwmax=3
wmm_ac_vo_txop_limit=47
wmm_ac_vo_acm=0
wep_default_key=0
wep_key0=[MY TOTALLY SECRET WEP104 KEY]

(5) With hostapd stopped, bringing up wlan0 up yields:
# ifup wlan0
# ip addr show wlan0
7: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:01:36:0d:cf:1f brd ff:ff:ff:ff:ff:ff
    inet 172.16.0.1/24 brd 172.16.0.255 scope global wlan0
    inet6 fdcc:759e:3a75::1/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 2a01:198:6a5::1/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 fe80::201:36ff:fe0d:cf1f/64 scope link 
       valid_lft forever preferred_lft forever

Just what I expected...

(6) Starting hostapd yields:
# invoke-rc.d hostapd start
Starting advanced IEEE 802.11 management: hostapd.
# ip addr show wlan0
7: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:01:36:0d:cf:1f brd ff:ff:ff:ff:ff:ff
    inet 172.16.0.1/24 brd 172.16.0.255 scope global wlan0
    inet6 fe80::201:36ff:fe0d:cf1f/64 scope link 
       valid_lft forever preferred_lft forever

Oops, global scope addresses gone!

(7) Stopping hostapd yields:
# invoke-rc.d hostapd stop 
Stopping advanced IEEE 802.11 management: hostapd.
# ip addr show wlan0
7: wlan0: <BROADCAST,MULTICAST> mtu 1500 qdisc mq state DOWN qlen 1000
    link/ether 00:01:36:0d:cf:1f brd ff:ff:ff:ff:ff:ff
    inet 172.16.0.1/24 brd 172.16.0.255 scope global wlan0

Oops, link-layer local address gone, too!

Do you need more information to investigate this issue?

Just my two cents,

Karl





Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#536630; Package hostapd. (Tue, 11 Jan 2011 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Schmitz <karl.schmitz@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Tue, 11 Jan 2011 17:36:03 GMT) Full text and rfc822 format available.

Message #26 received at 536630@bugs.debian.org (full text, mbox):

From: Karl Schmitz <karl.schmitz@gmx.net>
To: 536630@bugs.debian.org
Subject: Re: hostapd destroys IPv6 configuration on managed interface
Date: Tue, 11 Jan 2011 18:33:01 +0100
Package: hostapd 
Version: 1:0.6.10-2
Tags: ipv6

Hi all,

while reviving the ALLNET ALL0271 card with kernel SoftMAC driver p54pci (instead of FullMAC prism54) in my router (lenny + lenny-backports + squeeze hostapd), I experienced the same.
Even worse: After stopping hostapd (invoke-rc.d hostapd stop), the IPv6 link-layer local address vanished, too.

An strace(1) of hostapd revealed nothing useful. Therefore, I suspect that the IPv6 configuration gets withdrawn by the kernel nl80211/mac80211 stack or the p54 driver modules while enabling/disabling mon.wlan0.

(1) I use the most recent (2.13.25.0) ISL3886 PCI SoftMAC firmware:
# ls -lR /usr/lib/hotplug/firmware
/usr/lib/hotplug/firmware:
total 8
drwxr-xr-x 2 root root 4096 Jul 16  2003 fw-fullmac
drwxr-xr-x 2 root root 4096 Jun  8  2006 fw-softmac
lrwxrwxrwx 1 root root   24 Jan 10 00:40 isl3886pci -> fw-softmac/2.13.25.0.arm
lrwxrwxrwx 1 root root   22 Jan 10 00:39 isl3890 -> fw-fullmac/1.0.4.3.arm

/usr/lib/hotplug/firmware/fw-fullmac:
total 96
-rw-r--r-- 1 root root 93996 Jul 16  2003 1.0.4.3.arm

/usr/lib/hotplug/firmware/fw-softmac:
total 32
-rw-r--r-- 1 root root 29116 Jun  8  2006 2.13.25.0.arm

(2) Here's the output of some relevant commands:
# uname -a
Linux hydra 2.6.32-bpo.5-686 #1 SMP Sat Dec 18 15:11:34 UTC 2010 i686 GNU/Linux
# lspci -v
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev 82)
	Flags: bus master, medium devsel, latency 8
	Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 2.0
	Kernel driver in use: agpgart-via

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP] (prog-if 00 [Normal decode])
	Flags: bus master, 66MHz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: fe000000-febfffff
	Prefetchable memory behind bridge: fc000000-fddfffff
	Capabilities: [80] Power Management version 2
	Kernel modules: shpchp

00:02.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev 12)
	Flags: bus master, stepping, medium devsel, latency 0

00:02.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06) (prog-if 8a [Master SecP PriP])
	Flags: bus master, stepping, medium devsel, latency 32
	[virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	[virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	[virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	[virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	I/O ports at fff0 [size=16]
	Kernel driver in use: pata_via
	Kernel modules: pata_via

00:02.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 08) (prog-if 00 [UHCI])
	Subsystem: First International Computer, Inc. VA-502 Mainboard
	Flags: bus master, medium devsel, latency 22, IRQ 11
	I/O ports at fce0 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:02.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management (rev 20)
	Flags: medium devsel
	Kernel modules: i2c-viapro

00:0e.0 PCI bridge: Digital Equipment Corporation DECchip 21152 (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, medium devsel, latency 64
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=64
	I/O behind bridge: 00007000-00007fff
	Memory behind bridge: fdf00000-fdffffff
	Prefetchable memory behind bridge: 0000000010000000-00000000100fffff
	Capabilities: [dc] Power Management version 1
	Kernel modules: shpchp

00:0f.0 Token ring network controller: IBM 16/4 Token ring UTP/STP controller (rev 05)
	Flags: bus master, medium devsel, latency 48, IRQ 10
	I/O ports at 6400 [size=256]
	Memory at fdefd700 (32-bit, non-prefetchable) [size=256]
	Memory at fdefd800 (32-bit, non-prefetchable) [size=2K]
	[virtual] Expansion ROM at 10100000 [disabled] [size=16K]
	Kernel driver in use: olympic
	Kernel modules: olympic

00:10.0 Network controller: Intersil Corporation ISL3890 [Prism GT/Prism Duette]/ISL3886 [Prism Javelin/Prism Xbow] (rev 01)
	Subsystem: Tekram Technology Co.,Ltd. ALLNET ALL0271 Wireless PCI Adapter
	Flags: bus master, medium devsel, latency 80, IRQ 11
	Memory at fdefe000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [dc] Power Management version 1
	Kernel driver in use: p54pci
	Kernel modules: p54pci

00:12.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1 (rev 10)
	Subsystem: IBM Device 017b
	Flags: medium devsel, IRQ 9
	I/O ports at 6800 [size=256]
	Capabilities: [c0] Power Management version 2
	Kernel modules: snd-maestro3

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G200 AGP (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Matrox Graphics, Inc. Millennium G200 AGP
	Flags: bus master, medium devsel, latency 128, IRQ 255
	Memory at fc000000 (32-bit, prefetchable) [size=16M]
	Memory at febfc000 (32-bit, non-prefetchable) [size=16K]
	Memory at fe000000 (32-bit, non-prefetchable) [size=8M]
	[virtual] Expansion ROM at fd000000 [disabled] [size=64K]
	Capabilities: [dc] Power Management version 1
	Capabilities: [f0] AGP version 1.0
	Kernel modules: matroxfb_base

02:04.0 Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet] (rev 22)
	Subsystem: Cogent Data Technologies, Inc. ANA-6944A/TX Fast Ethernet
	Flags: bus master, medium devsel, latency 160, IRQ 9
	I/O ports at 7400 [size=128]
	Memory at fdfffe00 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at 10000000 [disabled] [size=256K]
	Kernel driver in use: tulip
	Kernel modules: tulip

02:05.0 Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet] (rev 22)
	Flags: bus master, medium devsel, latency 160, IRQ 10
	I/O ports at 7480 [size=128]
	Memory at fdfffe80 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at 10040000 [disabled] [size=256K]
	Kernel driver in use: tulip
	Kernel modules: tulip

02:06.0 Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet] (rev 22)
	Flags: bus master, medium devsel, latency 160, IRQ 11
	I/O ports at 7800 [size=128]
	Memory at fdffff00 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at 10080000 [disabled] [size=256K]
	Kernel driver in use: tulip
	Kernel modules: tulip

02:07.0 Ethernet controller: Digital Equipment Corporation DECchip 21140 [FasterNet] (rev 22)
	Flags: bus master, medium devsel, latency 160, IRQ 5
	I/O ports at 7880 [size=128]
	Memory at fdffff80 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at 100c0000 [disabled] [size=256K]
	Kernel driver in use: tulip
	Kernel modules: tulip

# lsmod
Module                  Size  Used by
tun                     8780  2 
sit                     6860  0 
tunnel4                 1469  1 sit
ip6_queue               3817  0 
ip6t_LOG                3666  8 
ip6table_raw            1612  0 
ip6t_REJECT             2156  4 
ip6table_mangle         2559  1 
nf_conntrack_ipv6       8375  12 
nf_conntrack_proto_udplite     1927  0 
xt_sctp                 1576  0 
ip6table_filter         1908  1 
ip6_tables              8564  4 ip6t_LOG,ip6table_raw,ip6table_mangle,ip6table_filter
xt_TCPMSS               2303  1 
act_police              3020  0 
cls_flow                4908  0 
cls_fw                  2745  0 
cls_u32                 4722  0 
sch_htb                10439  0 
sch_hfsc               13166  0 
sch_ingress             1092  0 
sch_sfq                 3882  0 
bridge                 33055  0 
stp                      996  1 bridge
xt_time                 1391  0 
xt_connlimit            2323  0 
xt_realm                 615  0 
iptable_raw             1471  0 
xt_comment               599  139 
xt_recent               4893  0 
xt_policy               1794  0 
ipt_ULOG                4653  0 
ipt_REJECT              1517  4 
ipt_REDIRECT             807  0 
ipt_NETMAP               825  0 
ipt_MASQUERADE          1134  5 
ipt_ECN                 1276  0 
ipt_ecn                  928  0 
ipt_CLUSTERIP           3990  0 
ipt_ah                   749  0 
ipt_addrtype            1345  2 
nf_nat_tftp              710  0 
nf_nat_snmp_basic       6381  0 
nf_nat_sip              4448  0 
nf_nat_pptp             1710  0 
nf_nat_proto_gre         869  1 nf_nat_pptp
nf_nat_irc              1010  0 
nf_nat_h323             4403  0 
nf_nat_ftp              1527  0 
nf_nat_amanda            836  0 
ts_kmp                  1307  5 
nf_conntrack_amanda     1637  1 nf_nat_amanda
nf_conntrack_sane       2680  0 
nf_conntrack_tftp       2321  1 nf_nat_tftp
nf_conntrack_sip       10726  1 nf_nat_sip
nf_conntrack_proto_sctp     4758  0 
nf_conntrack_pptp       3085  1 nf_nat_pptp
nf_conntrack_proto_gre     2843  1 nf_conntrack_pptp
nf_conntrack_netlink    11064  0 
nf_conntrack_netbios_ns      914  0 
nf_conntrack_irc        2543  1 nf_nat_irc
nf_conntrack_h323      30932  1 nf_nat_h323
nf_conntrack_ftp        4280  1 nf_nat_ftp
xt_TPROXY                977  0 
nf_tproxy_core          1229  1 xt_TPROXY,[permanent]
xt_tcpmss               1017  0 
xt_pkttype               683  0 
xt_physdev              1228  0 
xt_owner                 747  0 
xt_NFQUEUE              1565  0 
xt_NFLOG                 718  0 
nfnetlink_log           5652  1 xt_NFLOG
xt_multiport            1775  12 
xt_MARK                  617  2 
xt_mark                  613  0 
xt_mac                   675  0 
xt_limit                1088  0 
xt_length                796  0 
xt_iprange              1049  0 
xt_helper                879  0 
xt_hashlimit            6165  0 
xt_DSCP                 1451  0 
xt_dscp                 1123  0 
xt_dccp                 1507  0 
xt_conntrack            1955  30 
xt_CONNMARK              943  0 
xt_connmark              799  0 
xt_CLASSIFY              617  0 
ipt_LOG                 3570  13 
xt_tcpudp               1743  126 
xt_state                 927  0 
iptable_nat             3559  1 
nf_nat                 10596  12 ipt_REDIRECT,ipt_NETMAP,ipt_MASQUERADE,nf_nat_tftp,nf_nat_sip,nf_nat_pptp,nf_nat_proto_gre,nf_nat_irc,nf_nat_h323,nf_nat_ftp,nf_nat_amanda,iptable_nat
nf_conntrack_ipv4       7597  21 iptable_nat,nf_nat
nf_defrag_ipv4           779  2 xt_TPROXY,nf_conntrack_ipv4
nf_conntrack           38127  33 nf_conntrack_ipv6,nf_conntrack_proto_udplite,xt_connlimit,ipt_MASQUERADE,ipt_CLUSTERIP,nf_nat_tftp,nf_nat_snmp_basic,nf_nat_sip,nf_nat_pptp,nf_nat_irc,nf_nat_h323,nf_nat_ftp,nf_nat_amanda,nf_conntrack_amanda,nf_conntrack_sane,nf_conntrack_tftp,nf_conntrack_sip,nf_conntrack_proto_sctp,nf_conntrack_pptp,nf_conntrack_proto_gre,nf_conntrack_netlink,nf_conntrack_netbios_ns,nf_conntrack_irc,nf_conntrack_h323,nf_conntrack_ftp,xt_helper,xt_conntrack,xt_CONNMARK,xt_connmark,xt_state,iptable_nat,nf_nat,nf_conntrack_ipv4
iptable_mangle          2325  1 
nfnetlink               1798  2 nf_conntrack_netlink,nfnetlink_log
iptable_filter          1790  1 
ip_tables               7694  4 iptable_raw,iptable_nat,iptable_mangle,iptable_filter
x_tables                8327  49 ip6t_LOG,ip6t_REJECT,xt_sctp,ip6_tables,xt_TCPMSS,xt_time,xt_connlimit,xt_realm,xt_comment,xt_recent,xt_policy,ipt_ULOG,ipt_REJECT,ipt_REDIRECT,ipt_NETMAP,ipt_MASQUERADE,ipt_ECN,ipt_ecn,ipt_CLUSTERIP,ipt_ah,ipt_addrtype,xt_TPROXY,xt_tcpmss,xt_pkttype,xt_physdev,xt_owner,xt_NFQUEUE,xt_NFLOG,xt_multiport,xt_MARK,xt_mark,xt_mac,xt_limit,xt_length,xt_iprange,xt_helper,xt_hashlimit,xt_DSCP,xt_dscp,xt_dccp,xt_conntrack,xt_CONNMARK,xt_connmark,xt_CLASSIFY,ipt_LOG,xt_tcpudp,xt_state,iptable_nat,ip_tables
arc4                     974  2 
ecb                     1405  2 
p54pci                  6385  0 
p54common              18435  1 p54pci
led_class               1757  1 p54common
snd_maestro3           12679  0 
mac80211              123422  2 p54pci,p54common
snd_ac97_codec         79064  1 snd_maestro3
button                  3598  0 
processor              26347  0 
serio_raw               2920  0 
cfg80211               87817  2 p54common,mac80211
i2c_viapro              4419  0 
ac97_bus                 710  1 snd_ac97_codec
parport_pc             15799  0 
parport                22550  1 parport_pc
snd_pcm                47198  2 snd_maestro3,snd_ac97_codec
rfkill                 10280  1 cfg80211
olympic                15223  0 
snd_timer              12238  1 snd_pcm
evdev                   5609  2 
i2c_core               12700  1 i2c_viapro
psmouse                44669  0 
snd_page_alloc          5065  1 snd_pcm
snd                    34395  4 snd_maestro3,snd_ac97_codec,snd_pcm,snd_timer
soundcore               3450  1 snd
shpchp                 21220  0 
pci_hotplug            18065  1 shpchp
pcspkr                  1207  0 
ext3                   94316  2 
jbd                    32213  1 ext3
mbcache                 3766  1 ext3
sd_mod                 25989  4 
crc_t10dif              1012  1 sd_mod
ata_generic             2067  0 
uhci_hcd               16069  0 
pata_via                5709  3 
usbcore                98521  2 uhci_hcd
thermal                 9198  0 
libata                115793  2 ata_generic,pata_via
floppy                 40923  0 
tulip                  36396  0 
nls_base                4541  1 usbcore
thermal_sys             9378  2 processor,thermal
scsi_mod              101477  2 sd_mod,libata
# dpkg -l
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name                                                  Version                                               Description
+++-=====================================================-=====================================================-==========================================================================================================================
ii  acpi                                                  1.1-2                                                 displays information on ACPI devices
ii  acpi-support-base                                     0.109-11                                              scripts for handling base ACPI events such as the power button
ii  acpid                                                 1.0.10-5~bpo50+1                                      Advanced Configuration and Power Interface event daemon
ii  adduser                                               3.110                                                 add and remove users and groups
ii  aiccu                                                 20070115-9                                            SixXS Automatic IPv6 Connectivity Client Utility
ii  anacron                                               2.3-13.1                                              cron-like program that doesn't go by time
ii  apt                                                   0.7.20.2+lenny2                                       Advanced front-end for dpkg
ii  apt-utils                                             0.7.20.2+lenny2                                       APT utility programs
ii  arping                                                2.07~pre1-2                                           sends IP and/or ARP pings (to the MAC address)
ii  at                                                    3.1.10.2                                              Delayed job execution and batch processing
ii  base-files                                            5lenny8                                               Debian base system miscellaneous files
ii  base-passwd                                           3.5.20                                                Debian base system master password and group files
ii  bash                                                  3.2-4                                                 The GNU Bourne Again SHell
ii  bash-completion                                       20080705                                              programmable completion for the bash shell
ii  bc                                                    1.06.94-3                                             The GNU bc arbitrary precision calculator language
ii  bind9                                                 1:9.7.2.dfsg.P3-1~bpo50+1                             Internet Domain Name Server
ii  bind9-host                                            1:9.7.2.dfsg.P3-1~bpo50+1                             Version of 'host' bundled with BIND 9.X
ii  bind9utils                                            1:9.7.2.dfsg.P3-1~bpo50+1                             Utilities for BIND
ii  bridge-utils                                          1.4-5                                                 Utilities for configuring the Linux Ethernet bridge
ii  bsd-mailx                                             8.1.2-0.20071201cvs-3                                 A simple mail user agent
ii  bsdmainutils                                          6.1.10                                                collection of more utilities from FreeBSD
ii  bsdutils                                              1:2.13.1.1-1                                          Basic utilities from 4.4BSD-Lite
ii  busybox                                               1:1.10.2-2                                            Tiny utilities for small and embedded systems
ii  bzip2                                                 1.0.5-1+lenny1                                        high-quality block-sorting file compressor - utilities
ii  ca-certificates                                       20090814~bpo50+1                                      Common CA certificates
ii  chrony                                                1.23-6+lenny1                                         Sets your computer's clock from time servers on the Net
ii  console-common                                        0.7.80                                                basic infrastructure for text console configuration
ii  console-data                                          2:1.07-11                                             keymaps, fonts, charset maps, fallback tables for console-tools
ii  console-tools                                         1:0.2.3dbs-65.1                                       Linux console and font utilities
ii  coreutils                                             6.10-6                                                The GNU core utilities
ii  cpio                                                  2.9-13lenny1                                          GNU cpio -- a program to manage archives of files
ii  cron                                                  3.0pl1-105                                            management of regular background processing
ii  dash                                                  0.5.4-12                                              POSIX-compliant shell
ii  db4.6-util                                            4.6.21-11                                             Berkeley v4.6 Database Utilities
ii  dc                                                    1.06.94-3                                             The GNU dc arbitrary precision reverse-polish calculator
ii  ddclient                                              3.7.3-4.2                                             Update IP addresses at dynamic DNS services
ii  debconf                                               1.5.24                                                Debian configuration management system
ii  debconf-i18n                                          1.5.24                                                full internationalization support for debconf
ii  debian-archive-keyring                                2010.08.28~lenny1                                     GnuPG archive keys of the Debian archive
ii  debian-backports-keyring                              2009.02.20                                            GnuPG archive key of the backports.org repository
ii  debianutils                                           2.30                                                  Miscellaneous utilities specific to Debian
ii  deborphan                                             1.7.27                                                program that can find unused packages, e.g. libraries
ii  dhcp3-common                                          3.1.1-6+lenny4                                        common files used by all the dhcp3* packages
ii  dhcp3-server                                          3.1.1-6+lenny4                                        DHCP server for automatic IP address assignment
ii  diff                                                  2.8.1-12                                              File comparison utilities
ii  dnsutils                                              1:9.7.2.dfsg.P3-1~bpo50+1                             Clients provided with BIND
ii  dovecot-common                                        1:1.2.15-1~bpo50+1                                    secure mail server that supports mbox and maildir mailboxes
ii  dovecot-imapd                                         1:1.2.15-1~bpo50+1                                    secure IMAP server that supports mbox and maildir mailboxes
ii  dpkg                                                  1.14.31                                               Debian package management system
ii  dselect                                               1.14.31                                               Debian package management front-end
ii  e2fslibs                                              1.41.3-1                                              ext2 filesystem libraries
ii  e2fsprogs                                             1.41.3-1                                              ext2/ext3/ext4 file system utilities
ii  ebtables                                              2.0.8.2-4                                             Ethernet bridge frame table administration
ii  ed                                                    0.7-3                                                 The classic unix line editor
ii  fdutils                                               5.5-20060227-3                                        Linux floppy utilities
ii  file                                                  4.26-1                                                Determines file type using "magic" numbers
ii  findutils                                             4.4.0-2                                               utilities for finding files--find, xargs
ii  firmware-linux                                        0.27~bpo50+1                                          Binary firmware for various drivers in the Linux kernel (meta-package)
ii  firmware-linux-free                                   2.6.32-29~bpo50+1                                     Binary firmware for various drivers in the Linux kernel
ii  firmware-linux-nonfree                                0.27~bpo50+1                                          Binary firmware for various drivers in the Linux kernel
ii  ftp                                                   0.17-18                                               The FTP client
ii  gcc-4.3-base                                          4.3.4-6~bpo50+1                                       The GNU Compiler Collection (base package)
ii  geoip-bin                                             1.4.7~beta6+dfsg-1~bpo50+1                            IP lookup command line tools that use the GeoIP library
ii  geoip-database                                        1.4.7~beta6+dfsg-1~bpo50+1                            IP lookup command line tools that use the GeoIP library (country database)
ii  gettext-base                                          0.17-4                                                GNU Internationalization utilities for the base system
ii  gnupg                                                 1.4.10-2~bpo50+1                                      GNU privacy guard - a free PGP replacement
ii  gosa-schema                                           2.5.16.1-4.1                                          LDAP schema for GOsa
ii  gpgsm                                                 2.0.9-3.1+lenny1                                      GNU privacy guard - S/MIME version
ii  gpgv                                                  1.4.10-2~bpo50+1                                      GNU privacy guard - signature verification tool
ii  grep                                                  2.5.3~dfsg-6                                          GNU grep, egrep and fgrep
ii  groff-base                                            1.18.1.1-21                                           GNU troff text-formatting system (base system components)
ii  grub                                                  0.97-47lenny2                                         GRand Unified Bootloader (Legacy version)
ii  grub-common                                           1.97~beta3-1~bpo50+1                                  GRand Unified Bootloader, version 2 (common files)
ii  guessnet                                              0.49-1                                                Guess which LAN a network device is connected to
ii  gzip                                                  1.3.12-6+lenny1                                       The GNU compression utility
ii  hdparm                                                8.9-3                                                 tune hard disk parameters for high performance
ii  hostapd                                               1:0.6.10-2                                            user space IEEE 802.11 AP and IEEE 802.1X/WPA/WPA2/EAP Authenticator
ii  hostname                                              2.95                                                  utility to set/show the host name or domain name
ii  ifplugd                                               0.28-12                                               configuration daemon for ethernet devices
ii  ifrename                                              29-1.1                                                Rename network interfaces based on various static criteria
ii  ifupdown                                              0.6.8+nmu1                                            high level tools to configure network interfaces
ii  info                                                  4.13a.dfsg.1-5~bpo50+1                                Standalone GNU Info documentation browser
ii  initramfs-tools                                       0.94.4~bpo50+1                                        tools for generating an initramfs
ii  initscripts                                           2.86.ds1-61                                           Scripts for initializing and shutting down the system
ii  install-info                                          4.13a.dfsg.1-5~bpo50+1                                Manage installed documentation in info format
ii  iproute                                               20080725-2                                            networking and traffic control tools
ii  iptables                                              1.4.2-6                                               administration tools for packet filtering and NAT
ii  iputils-ping                                          3:20071127-1+lenny1                                   Tools to test the reachability of network hosts
ii  iputils-tracepath                                     3:20071127-1+lenny1                                   Tools to trace the network path to a remote host
ii  iso-codes                                             3.5.1-1                                               ISO language, territory, currency, script codes and their translations
ii  klibc-utils                                           1.5.12-2                                              small utilities built with klibc for early boot
ii  ldap-utils                                            2.4.17-2.1~bpo50+1                                    OpenLDAP utilities
ii  less                                                  418-1                                                 Pager program similar to more
ii  libacl1                                               2.2.47-2                                              Access control list shared library
ii  libapt-pkg-perl                                       0.1.22+b1                                             Perl interface to libapt-pkg
ii  libatm1                                               2.4.1-17.2                                            shared library for ATM (Asynchronous Transfer Mode)
ii  libattr1                                              1:2.4.43-2                                            Extended attribute shared library
ii  libbind9-60                                           1:9.7.2.dfsg.P3-1~bpo50+1                             BIND9 Shared Library used by BIND
ii  libblkid1                                             1.41.3-1                                              block device id library
ii  libbz2-1.0                                            1.0.5-1+lenny1                                        high-quality block-sorting file compressor library - runtime
ii  libc6                                                 2.7-18lenny6                                          GNU C Library: Shared libraries
ii  libc6-i686                                            2.7-18lenny6                                          GNU C Library: Shared libraries [i686 optimized]
ii  libcap2                                               2.11-2                                                support for getting/setting POSIX.1e capabilities
ii  libcomerr2                                            1.41.3-1                                              common error description library
ii  libcompress-raw-bzip2-perl                            2.024-1~bpo50+1                                       Low-Level Interface to bzip2 compression library
ii  libcompress-raw-zlib-perl                             2.026-1~bpo50+1                                       low-level interface to zlib compression library
ii  libcompress-zlib-perl                                 2.024-1~bpo50+1                                       Transitional dummy package for Compress::Zlib
ii  libconsole                                            1:0.2.3dbs-65.1                                       Shared libraries for Linux console and font manipulation
ii  libconvert-asn1-perl                                  0.21-1                                                Perl module for encoding and decoding ASN.1 data structures
ii  libdaemon0                                            0.12-2lenny1                                          lightweight C library for daemons - runtime library
ii  libdb4.5                                              4.5.20-13                                             Berkeley v4.5 Database Libraries [runtime]
ii  libdb4.6                                              4.6.21-11                                             Berkeley v4.6 Database Libraries [runtime]
ii  libdevmapper1.02.1                                    2:1.02.27-4                                           The Linux Kernel Device Mapper userspace library
ii  libdns69                                              1:9.7.2.dfsg.P3-1~bpo50+1                             DNS Shared Library used by BIND
ii  libedit2                                              2.11~20080614-1                                       BSD editline and history libraries
ii  libfont-afm-perl                                      1.20-1                                                Font::AFM - Interface to Adobe Font Metrics files
ii  libfreetype6                                          2.3.7-2+lenny4                                        FreeType 2 font engine, shared library files
ii  libgcc1                                               1:4.3.4-6~bpo50+1                                     GCC support library
ii  libgcrypt11                                           1.4.1-1                                               LGPL Crypto library - runtime library
ii  libgdbm3                                              1.8.3-3                                               GNU dbm database routines (runtime version)
ii  libgeoip1                                             1.4.7~beta6+dfsg-1~bpo50+1                            A non-DNS IP-to-country resolver library
ii  libglib2.0-0                                          2.22.4-1~bpo50+1                                      The GLib library of C routines
ii  libglib2.0-data                                       2.22.4-1~bpo50+1                                      Common files for GLib library
ii  libgnutls26                                           2.4.2-6+lenny2                                        the GNU TLS library - runtime library
ii  libgpg-error0                                         1.4-2                                                 library for common error values and messages in GnuPG components
ii  libgpm2                                               1.20.4-3.1                                            General Purpose Mouse - shared library
ii  libhtml-format-perl                                   2.04-2                                                format HTML syntax trees into text, PostScript or RTF
ii  libhtml-parser-perl                                   3.56-1+lenny1                                         A collection of modules that parse HTML text documents
ii  libhtml-tagset-perl                                   3.20-2                                                Data tables pertaining to HTML
ii  libhtml-tree-perl                                     3.23-1                                                represent and create HTML syntax trees
ii  libidn11                                              1.15-2~bpo50+1                                        GNU Libidn library, implementation of IETF IDN specifications
ii  libio-compress-base-perl                              2.024-1~bpo50+1                                       Transitional dummy package for IO::Compress:Base
ii  libio-compress-perl                                   2.024-1~bpo50+1                                       bundle of IO::Compress modules
ii  libio-compress-zlib-perl                              2.024-1~bpo50+1                                       Transitional dummy package for IO::Compress::Zlib
ii  libio-socket-inet6-perl                               2.54-1                                                Object interface for AF_INET6 domain sockets
ii  libio-socket-ssl-perl                                 1.16-1+lenny1                                         Perl module implementing object oriented interface to SSL sockets
ii  libisc62                                              1:9.7.2.dfsg.P3-1~bpo50+1                             ISC Shared Library used by BIND
ii  libisccc60                                            1:9.7.2.dfsg.P3-1~bpo50+1                             Command Channel Library used by BIND
ii  libisccfg62                                           1:9.7.2.dfsg.P3-1~bpo50+1                             Config File Handling Library used by BIND
ii  libiw29                                               29-1.1                                                Wireless tools - library
ii  libkeyutils1                                          1.2-9                                                 Linux Key Management Utilities (library)
ii  libklibc                                              1.5.12-2                                              minimal libc subset for use with initramfs
ii  libkrb53                                              1.6.dfsg.4~beta1-5lenny6                              MIT Kerberos runtime libraries
ii  libksba8                                              1.0.3-1                                               X.509 and CMS support library
ii  libldap-2.4-2                                         2.4.17-2.1~bpo50+1                                    OpenLDAP libraries
ii  liblocale-gettext-perl                                1.05-4                                                Using libc functions for internationalization in Perl
ii  liblockfile1                                          1.08-3                                                NFS-safe locking library, includes dotlockfile program
ii  libltdl3                                              1.5.26-4+lenny1                                       A system independent dlopen wrapper for GNU libtool
ii  liblua5.1-0                                           5.1.3-1                                               Simple, extensible, embeddable programming language
ii  liblwres60                                            1:9.7.2.dfsg.P3-1~bpo50+1                             Lightweight Resolver Library used by BIND
ii  liblzma2                                              5.0.0-2~bpo50+1                                       XZ-format compression library
ii  liblzo2-2                                             2.03-1                                                data compression library
ii  libmagic1                                             4.26-1                                                File type determination library using "magic" numbers
ii  libmailtools-perl                                     2.03-1                                                Manipulate email in perl programs
ii  libmysqlclient15off                                   5.0.51a-24+lenny4                                     MySQL database client library
ii  libncurses5                                           5.7+20081213-1                                        shared libraries for terminal handling
ii  libncursesw5                                          5.7+20081213-1                                        shared libraries for terminal handling (wide character support)
ii  libnet-ldap-perl                                      1:0.36-1                                              A Client interface to LDAP servers
ii  libnet-ssleay-perl                                    1.35-1                                                Perl module for Secure Sockets Layer (SSL)
ii  libnet1                                               1.1.2.1-2                                             library for the construction and handling of network packets
ii  libnewt0.52                                           0.52.2-11.3+lenny1                                    Not Erik's Windowing Toolkit - text mode windowing with slang
ii  libnl1                                                1.1-2                                                 library for dealing with netlink sockets
ii  libpam-modules                                        1.0.1-5+lenny1                                        Pluggable Authentication Modules for PAM
ii  libpam-runtime                                        1.0.1-5+lenny1                                        Runtime support for the PAM library
ii  libpam0g                                              1.0.1-5+lenny1                                        Pluggable Authentication Modules library
ii  libpcap0.8                                            0.9.8-5                                               system interface for user-level packet capture
ii  libpci3                                               1:3.0.0-6                                             Linux PCI Utilities (shared library)
ii  libpcre3                                              7.6-2.1                                               Perl 5 Compatible Regular Expression Library - runtime files
ii  libperl5.10                                           5.10.0-19lenny2                                       Shared Perl library
ii  libpkcs11-helper1                                     1.05-1                                                library that simplifies the interaction with PKCS#11
ii  libpopt0                                              1.14-4                                                lib for parsing cmdline parameters
ii  libpq5                                                8.4.5-2~bpo50+1                                       PostgreSQL C client library
ii  libpth20                                              2.0.7-12                                              The GNU Portable Threads
ii  libreadline5                                          5.2-3.1                                               GNU readline and history libraries, run-time libraries
ii  libsasl2-2                                            2.1.22.dfsg1-23+lenny1                                Cyrus SASL - authentication abstraction library
ii  libsasl2-modules                                      2.1.22.dfsg1-23+lenny1                                Cyrus SASL - pluggable authentication modules
ii  libsasl2-modules-ldap                                 2.1.22.dfsg1-23+lenny1                                Cyrus SASL - pluggable authentication modules (LDAP)
ii  libselinux1                                           2.0.65-5                                              SELinux shared libraries
ii  libsepol1                                             2.0.30-2                                              Security Enhanced Linux policy library for changing policy binaries
ii  libslang2                                             2.1.3-3                                               The S-Lang programming library - runtime version
ii  libslp1                                               1.2.1-7.5                                             OpenSLP libraries
ii  libsocket6-perl                                       0.20-1                                                Perl extensions for IPv6
ii  libsqlite3-0                                          3.7.3-1~bpo50+1                                       SQLite 3 shared library
ii  libss2                                                1.41.3-1                                              command-line interface parsing library
ii  libssl0.9.8                                           0.9.8o-4~bpo50+1                                      SSL shared libraries
ii  libstdc++6                                            4.3.4-6~bpo50+1                                       The GNU Standard C++ Library v3
ii  libtasn1-3                                            1.4-1                                                 Manage ASN.1 structures (runtime)
ii  libtext-charwidth-perl                                0.04-5+b1                                             get display widths of characters on the terminal
ii  libtext-iconv-perl                                    1.7-1+b1                                              converts between character sets in Perl
ii  libtext-wrapi18n-perl                                 0.06-6                                                internationalized substitute of Text::Wrap
ii  libtimedate-perl                                      1.1600-9                                              Time and date functions for Perl
ii  liburi-perl                                           1.37+dfsg-1~bpo50+1                                   Manipulates and accesses URI strings
ii  libusb-0.1-4                                          2:0.1.12-13                                           userspace USB programming library
ii  libuuid-perl                                          0.02-3+b1                                             Perl extension for using UUID interfaces as defined in e2fsprogs
ii  libuuid1                                              1.41.3-1                                              universally unique id library
ii  libvolume-id0                                         0.125-7+lenny3                                        libvolume_id shared library
ii  libwrap0                                              7.6.q-16                                              Wietse Venema's TCP wrappers library
ii  libwww-perl                                           5.813-1+lenny2                                        WWW client/server library for Perl (aka LWP)
ii  libxml2                                               2.6.32.dfsg-5+lenny3                                  GNOME XML library
ii  linux-base                                            2.6.32-29~bpo50+1                                     Linux image base package
ii  linux-image-2.6.32-bpo.5-686                          2.6.32-29~bpo50+1                                     Linux 2.6.32 for modern PCs
ii  locales                                               2.7-18lenny6                                          GNU C Library: National Language (locale) data [support]
ii  login                                                 1:4.1.1-6+lenny1                                      system login tools
ii  logrotate                                             3.7.1-5                                               Log rotation utility
ii  lsb-base                                              3.2-20                                                Linux Standard Base 3.2 init script functionality
ii  lsof                                                  4.78.dfsg.1-4                                         List open files
ii  lzma                                                  4.43-14                                               Compression method of 7z format in 7-Zip program
ii  makedev                                               2.3.1-88                                              creates device files in /dev
ii  man-db                                                2.5.2-4                                               on-line manual pager
ii  manpages                                              3.05-1                                                Manual pages about using a GNU/Linux system
ii  mawk                                                  1.3.3-11.1                                            a pattern scanning and text processing language
ii  mii-diag                                              2.11-2                                                A little tool to manipulate network cards
ii  mime-support                                          3.44-1                                                MIME files 'mime.types' & 'mailcap', and support programs
ii  mktemp                                                1.5-9                                                 tool for creating temporary files
ii  module-init-tools                                     3.4-1                                                 tools for managing Linux kernel modules
ii  mount                                                 2.13.1.1-1                                            Tools for mounting and manipulating filesystems
ii  mysql-common                                          5.1.49-3~bpo50+1                                      MySQL database common files, e.g. /etc/mysql/my.cnf
ii  ncurses-base                                          5.7+20081213-1                                        basic terminal type definitions
ii  ncurses-bin                                           5.7+20081213-1                                        terminal-related programs and man pages
ii  net-tools                                             1.60-22                                               The NET-3 networking toolkit
ii  netbase                                               4.34                                                  Basic TCP/IP networking system
ii  netcat-traditional                                    1.10-38                                               TCP/IP swiss army knife
ii  nictools-pci                                          1.3.8-1.2                                             Diagnostic tools for many PCI ethernet cards
ii  nmap                                                  5.00-3~bpo50+1                                        The Network Mapper
ii  odbcinst1debian1                                      2.2.11-16                                             Support library and helper program for accessing odbc ini files
ii  openbsd-inetd                                         0.20080125-2                                          The OpenBSD Internet Superserver
ii  openssh-blacklist                                     0.4.1                                                 list of default blacklisted OpenSSH RSA and DSA keys
ii  openssh-blacklist-extra                               0.4.1                                                 list of non-default blacklisted OpenSSH RSA and DSA keys
ii  openssh-client                                        1:5.1p1-5                                             secure shell client, an rlogin/rsh/rcp replacement
ii  openssh-server                                        1:5.1p1-5                                             secure shell server, an rshd replacement
ii  openssl                                               0.9.8o-4~bpo50+1                                      Secure Socket Layer (SSL) binary and related cryptographic tools
ii  openssl-blacklist                                     0.4.2                                                 list of blacklisted OpenSSL RSA keys
ii  openssl-blacklist-extra                               0.4.2                                                 list of non-default blacklisted OpenSSL RSA keys
ii  openvpn                                               2.1~rc11-1                                            virtual private network daemon
ii  openvpn-blacklist                                     0.3                                                   list of blacklisted OpenVPN RSA shared keys
ii  passwd                                                1:4.1.1-6+lenny1                                      change and administer password and group data
ii  pciutils                                              1:3.0.0-6                                             Linux PCI Utilities
ii  perl                                                  5.10.0-19lenny2                                       Larry Wall's Practical Extraction and Report Language
ii  perl-base                                             5.10.0-19lenny2                                       minimal Perl system
ii  perl-modules                                          5.10.0-19lenny2                                       Core Perl modules
ii  pidentd                                               3.0.19.ds1-4                                          TCP/IP IDENT protocol server with DES support
ii  postfix                                               2.7.1-1~bpo50+1                                       High-performance mail transport agent
ii  postfix-ldap                                          2.7.1-1~bpo50+1                                       LDAP map support for Postfix
ii  ppp                                                   2.4.4rel-10.1                                         Point-to-Point Protocol (PPP) - daemon
ii  pppoe                                                 3.8-3                                                 PPP over Ethernet driver
ii  pptp-linux                                            1.7.2-1                                               Point-to-Point Tunneling Protocol (PPTP) Client
ii  procps                                                1:3.2.7-11                                            /proc file system utilities
ii  psmisc                                                22.6-1                                                Utilities that use the proc filesystem
ii  python                                                2.5.2-3                                               An interactive high-level object-oriented language (default version)
ii  python-minimal                                        2.5.2-3                                               A minimal subset of the Python language (default version)
ii  python2.4-minimal                                     2.4.6-1+lenny1                                        A minimal subset of the Python language (version 2.4)
ii  python2.5                                             2.5.2-15+lenny1                                       An interactive high-level object-oriented language (version 2.5)
ii  python2.5-minimal                                     2.5.2-15+lenny1                                       A minimal subset of the Python language (version 2.5)
ii  radvd                                                 1:1.1-3                                               Router Advertisement Daemon
ii  readline-common                                       5.2-3.1                                               GNU readline and history libraries, common files
ii  resolvconf                                            1.42                                                  name server information handler
ii  rsyslog                                               4.6.4-2~bpo50+1                                       enhanced multi-threaded syslogd
ii  sasl2-bin                                             2.1.22.dfsg1-23+lenny1                                Cyrus SASL - administration programs for SASL users database
ii  sed                                                   4.1.5-6                                               The GNU sed stream editor
ii  sharutils                                             1:4.6.3-1                                             shar, unshar, uuencode, uudecode
ii  shorewall                                             4.4.11.6-3~bpo50+1                                    Shoreline Firewall, netfilter configurator
ii  shorewall6                                            4.4.11.6-1~bpo50+1                                    Shoreline Firewall (IPv6 version), netfilter configurator
ii  slapd                                                 2.4.17-2.1~bpo50+1                                    OpenLDAP server (slapd)
ii  ssl-cert                                              1.0.23                                                simple debconf wrapper for OpenSSL
ii  strace                                                4.5.17+cvs080723-2                                    A system call tracer
ii  sysv-rc                                               2.86.ds1-61                                           System-V-like runlevel change mechanism
ii  sysvinit                                              2.86.ds1-61                                           System-V-like init utilities
ii  sysvinit-utils                                        2.86.ds1-61                                           System-V-like utilities
ii  tar                                                   1.20-1+lenny1                                         GNU version of the tar archiving utility
ii  tcpd                                                  7.6.q-16                                              Wietse Venema's TCP wrapper utilities
ii  tcpdump                                               3.9.8-4                                               A powerful tool for network monitoring and data acquisition
ii  telnet                                                0.17-36                                               The telnet client
ii  tftpd-hpa                                             5.0-18~bpo50+1                                        HPA's tftp server
ii  time                                                  1.7-23                                                The GNU time program for measuring cpu resource usage
ii  timelimit                                             1.4-1~bpo50+1                                         Simple utility to limit a process's absolute execution time
ii  traceroute                                            2.0.11-2                                              Traces the route taken by packets over an IPv4/IPv6 network
ii  tzdata                                                2010o-0lenny1                                         time zone and daylight-saving time data
ii  ucf                                                   3.0016                                                Update Configuration File: preserve user changes to config files.
ii  udev                                                  0.125-7+lenny3                                        /dev/ and hotplug management daemon
ii  unixodbc                                              2.2.11-16                                             ODBC tools libraries
ii  update-inetd                                          4.31                                                  inetd configuration file updater
ii  usbutils                                              0.73-10lenny2                                         Linux USB utilities
ii  util-linux                                            2.13.1.1-1                                            Miscellaneous system utilities
ii  vim                                                   1:7.1.314-3+lenny2                                    Vi IMproved - enhanced vi editor
ii  vim-common                                            1:7.1.314-3+lenny2                                    Vi IMproved - Common files
ii  vim-runtime                                           1:7.1.314-3+lenny2                                    Vi IMproved - Runtime files
ii  wget                                                  1.11.4-2+lenny2                                       retrieves files from the web
ii  whiptail                                              0.52.2-11.3+lenny1                                    Displays user-friendly dialog boxes from shell scripts
ii  whois                                                 4.7.30                                                an intelligent whois client
ii  wireless-tools                                        29-1.1                                                Tools for manipulating Linux Wireless Extensions
ii  xz-utils                                              5.0.0-2~bpo50+1                                       XZ-format compression utilities
ii  zlib1g                                                1:1.2.3.3.dfsg-12                                     compression library - runtime

(3) Here are my /etc/network/interfaces stanzas for wlan0:
#-----------------------------------------------------------------------------
#   ALLNET ALL0271 Wireless (802.11g) interface:
#-----------------------------------------------------------------------------
allow-hotplug wlan0
iface wlan0 inet static
        address 172.16.0.1
        netmask 255.255.255.0

iface wlan0 inet6 static
        address 2a01:198:6a5:0::1
        netmask 64
        post-up ip -6 addr add fdcc:759e:3a75:0::1/64 dev wlan0

(4) On my router, hostapd runs as daemon with the following configuration:
# sed '/^$/d;/^#/d' /etc/default/hostapd
DAEMON_CONF=/etc/hostapd/hostapd.conf
DAEMON_OPTS=
# sed '/^$/d;/^#/d' /etc/hostapd/hostapd.conf 
interface=wlan0
driver=nl80211
logger_syslog=-1
logger_syslog_level=2
logger_stdout=-1
logger_stdout_level=2
dump_file=/var/run/hostapd.dump
ctrl_interface=/var/run/hostapd
ctrl_interface_group=0
ssid=CldFS-M
country_code=DE
ieee80211d=1
hw_mode=g
channel=6
max_num_sta=255
rts_threshold=2347
fragm_threshold=2346
macaddr_acl=0
auth_algs=3
ignore_broadcast_ssid=0
wmm_enabled=1
wmm_ac_bk_cwmin=4
wmm_ac_bk_cwmax=10
wmm_ac_bk_aifs=7
wmm_ac_bk_txop_limit=0
wmm_ac_bk_acm=0
wmm_ac_be_aifs=3
wmm_ac_be_cwmin=4
wmm_ac_be_cwmax=10
wmm_ac_be_txop_limit=0
wmm_ac_be_acm=0
wmm_ac_vi_aifs=2
wmm_ac_vi_cwmin=3
wmm_ac_vi_cwmax=4
wmm_ac_vi_txop_limit=94
wmm_ac_vi_acm=0
wmm_ac_vo_aifs=2
wmm_ac_vo_cwmin=2
wmm_ac_vo_cwmax=3
wmm_ac_vo_txop_limit=47
wmm_ac_vo_acm=0
wep_default_key=0
wep_key0=[MY TOTALLY SECRET WEP104 KEY]

(5) With hostapd stopped, bringing up wlan0 up yields:
# ifup wlan0
# ip addr show wlan0
7: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:01:36:0d:cf:1f brd ff:ff:ff:ff:ff:ff
    inet 172.16.0.1/24 brd 172.16.0.255 scope global wlan0
    inet6 fdcc:759e:3a75::1/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 2a01:198:6a5::1/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 fe80::201:36ff:fe0d:cf1f/64 scope link 
       valid_lft forever preferred_lft forever

Just what I expected...

(6) Starting hostapd yields:
# invoke-rc.d hostapd start
Starting advanced IEEE 802.11 management: hostapd.
# ip addr show wlan0
7: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:01:36:0d:cf:1f brd ff:ff:ff:ff:ff:ff
    inet 172.16.0.1/24 brd 172.16.0.255 scope global wlan0
    inet6 fe80::201:36ff:fe0d:cf1f/64 scope link 
       valid_lft forever preferred_lft forever

Oops, global scope addresses gone!

(7) Stopping hostapd yields:
# invoke-rc.d hostapd stop 
Stopping advanced IEEE 802.11 management: hostapd.
# ip addr show wlan0
7: wlan0: <BROADCAST,MULTICAST> mtu 1500 qdisc mq state DOWN qlen 1000
    link/ether 00:01:36:0d:cf:1f brd ff:ff:ff:ff:ff:ff
    inet 172.16.0.1/24 brd 172.16.0.255 scope global wlan0

Oops, link-layer local address gone, too!

Do you need more information to investigate this issue?

Just my two cents,

Karl






Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#536630; Package hostapd. (Tue, 13 Sep 2011 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Tsoy <puleglot@ya.ru>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Tue, 13 Sep 2011 12:00:10 GMT) Full text and rfc822 format available.

Message #33 received at 536630@bugs.debian.org (full text, mbox):

From: Alexander Tsoy <puleglot@ya.ru>
To: 536630@bugs.debian.org
Subject: Re: hostapd destroys IPv6 configuration on managed interface
Date: Tue, 13 Sep 2011 15:49:59 +0400
[Message part 1 (text/plain, inline)]
I also have this issue. Easy workaround for it that works at least on
wheezy:

1. Disable autostart of hostapd via init script

$ grep DAEMON_CONF /etc/default/hostapd 
# Uncomment and set DAEMON_CONF to the absolute path of a hostapd configuration
#DAEMON_CONF=""

2. Edit interfaces file as follow:

auto wlan0
iface wlan0 inet static
    address xxx.xxx.xxx.xxx
    netmask xxx.xxx.xxx.xxx
    hostapd /etc/hostapd/hostapd.conf

iface wlan0 inet6 static
    address xxxx:xxxx:xxx:x::x
    netmask 64

-- 
With best regards,
Alexander Tsoy
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:45:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:05:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.